首页 › API 文档 › 内容解析

指定日期历史

查询指定日期历史上发生的重大事件

接口地址

GET, POST https://api.tinyaii.cn/v1/history/date

分类:内容解析 · 返回格式:JSON · 鉴权:API Key(URL 参数 apikey 或请求头 Authorization: Bearer)

请求参数

参数名类型必填说明
monthint否月份(1-12),默认当月
dayint否日期(1-31),默认当日

返回字段

字段名类型说明
datestring日期
monthnumber月份
daynumber日期
totalnumber事件总数
listarray事件列表
list[].yearnumber年份
list[].datestring年份文本
list[].descriptionstring事件描述
list[].categorystring分类(古代/近代/现代)

返回示例

{
  "code": 200,
  "message": "success",
  "data": {
    "date": "5月15日",
    "month": 5,
    "day": 15,
    "total": 71,
    "list": [
      {
        "year": 1247,
        "date": "1247年",
        "description": "太极宗师张三丰出生",
        "category": "古代"
      },
      {
        "year": 1904,
        "date": "1904年",
        "description": "中国红十字会创立",
        "category": "近代"
      }
    ]
  }
}

调用示例

curl "https://api.tinyaii.cn/v1/history/date?apikey=YOUR_KEY&month=5&day=15"

把 YOUR_KEY 换成你在 用户中心 获取的 API Key,在浏览器打开同样地址也能直接看到结果。

相关接口(内容解析)

本站收录 353 个可免费调用的 API 接口,查看完整开发文档 或 注册获取 API Key。